<?php 
if (!function_exists("swift_modifier_nl2br")) { require_once("./system/swift/swift/plugins/swift_modifier_nl2br.php"); }
?>

<?php echo $this->parse('overall_header.html'); ?>
<h1>Produkty</h1>
<?php if ((isset($this->asgvalues['product']) ? $this->asgvalues['product'] : '') !== false && count((isset($this->asgvalues['product']) ? $this->asgvalues['product'] : ''))) { ?>
<h2><?php echo (isset($this->asgvalues['product']['nazov']) ? $this->asgvalues['product']['nazov'] : ''); ?></h2>
<p><?php echo swift_modifier_nl2br($this, (isset($this->asgvalues['product']['popis']) ? $this->asgvalues['product']['popis'] : '')); ?></p>
<p><?php echo swift_modifier_nl2br($this, (isset($this->asgvalues['product']['detail']) ? $this->asgvalues['product']['detail'] : '')); ?></p>
<p class="mtop20px">Cena za kus: <?php if ((isset($this->asgvalues['product']['akcia']) ? $this->asgvalues['product']['akcia'] : '') > 0) { ?><?php echo (isset($this->asgvalues['product']['akcia']) ? $this->asgvalues['product']['akcia'] : ''); ?><?php } else { ?><?php echo (isset($this->asgvalues['product']['cena']) ? $this->asgvalues['product']['cena'] : ''); ?><?php } ?>&euro;</p>
<form action="<?php echo (isset($this->asgvalues['add_to_cart_action']) ? $this->asgvalues['add_to_cart_action'] : ''); ?>" method="post">
  <input type="hidden" name="product_id" value="<?php echo (isset($this->asgvalues['product']['id']) ? $this->asgvalues['product']['id'] : ''); ?>" />
  <p class="add_to_cart dontprintthis">Vložiť do košíka <input class="text" type="text" name="product_count" value="1" maxlength="2" size="2" onblur="validateCount(this);" /> kusov produktu. <input class="button" type="submit" name="product_submit" value="Do košíka" /></p>
</form>
<script type="text/javascript">
  //<![CDATA[
  
    validateCount = function(elem) {
      var regexPatern = /^[1-9]{1}[0-9]{0,1}$/;
      
      if (!regexPatern.test(elem.value)) {
        elem.value = '1';
      }
    }
  
  //]]>
</script>
<?php } else { ?>
<h2>Produkt sa nenašiel!</h2>
<p>Bohužiaľ, zadaný produkt sa nenašieľ.</p>
<?php } ?>
<?php echo $this->parse('overall_footer.html'); ?>