<?php
// Author: Andrej Jursa

/* function=html_form
  parameters:
    action = the url for action parameter of form element
    post = boolean, if set to true, method of form element is set to "post", otherwise is method set to "get"
    encode = boolean, if set to true, enctyepe of form element is set to "multipart/form-data"
    name = the name of form element
    id = the id of form element
    onsubmit = define what happens when this event occure (ie. javascript to execute)
*/
function swift_function_html_form(&$swift, $params=array()) {
  $action = (isset($params['action']) ? $params['action'] : '');
  $post = (isset($params['post']) ? intval($params['post']) : false);
  $encode = (isset($params['encode']) ? intval($params['encode']) : false);
  $name = (isset($params['name']) ? $params['name'] : '');
  $id = (isset($params['id']) ? $params['id'] : '');
  $onsubmit = (isset($params['onsubmit']) ? $params['onsubmit'] : '');
  
  return '<form action="' . $action .'" method="' . ($post ? 'post' : 'get') . '"' . ($encode ? ' enctype="multipart/form-data"' : '') . ($name != '' ? ' name="' . $name . '"' : '') . ($id != '' ? ' id="' . $id . '"' : '') . ($onsubmit != '' ? ' onsubmit="' . $onsubmit . '"' : '') . '>';
}

?>