<?php
// Author: Andrej Jursa

function swift_function_math_radical(&$swift, $params = array()) {
  $assign = (isset($params['assign']) ? $params['assign'] : '');
  $o1 = (isset($params['o1']) ? intval($params['o1']) : 1);
  $o2 = (isset($params['o2']) ? intval($params['o2']) : 2);
  
  if ($assign == '') { die('Swift: MATH_RADICAL: need "assign" parameter!'); return; }
  if ($o1 < 0) { die('Swift: MATH_RADICAL: When "o1" parameter can\' be a negative value.'); return; }
  if ($o1 == 0) { die('Swift: MATH_RADICAL: the "o1" parameter can\'t be zero!'); return; }
  if ($o2 == 0) { die('Swift: MATH_RADICAL: the "o2" parameter can\'t be zero!'); return; }
  
  $e = pow($o1, 1 / $o2);
  
  $swift->assign($assign, $e);
}

?>