<?php
// Author: Jan Boldis

function swift_modifier_truncate(&$swift, $string, $num_chars=40, $end_string = '...', $force_num_chars = false) {
  
  if (strlen($string) <= $num_chars) {
    $outpur = $string;
  } else {
    if ($force_num_chars == true) {
      $output = substr($string, 0, $num_chars) . $end_string;
    } else {
      $output = substr($string, 0, $num_chars);
      $output .= $string[$num_chars - 1] != ' ' && $string[$num_chars - 1] != "\n" && $string[$num_chars - 1] != "\t" ?
                substr($string, $num_chars, swift_modifier_truncate_helper_get_next_emptychar_pos($string, $num_chars) - $num_chars) . $end_string :
                $end_string;
    }
  }
  
  return $output;
}

if (!function_exists('swift_modifier_truncate_helper_get_next_emptychar_pos')) {
  function swift_modifier_truncate_helper_get_next_emptychar_pos($in, $from) {
    $tab = strpos($in, "\t", $from);
    $nl = strpos($in, "\n", $from);
    $space = strpos($in, ' ', $from);
    $tab = $tab === false ? strlen($in) : $tab;
    $nl = $nl === false ? strlen($in) : $nl;
    $space = $space === false ? strlen($in) : $space;
    
    return min($tab, $nl, $space);
  }
}

?>