<?php

require_once 'controllers/default/default.php'; // Zakladny contoller

class index_controller extends default_controller { 
  
  /*
   * Konstruktor
   * $fw (object) - objekt frameworku
   * navrat: nic      
   */   
  public function __construct(&$fw) {
    parent::__construct($fw);
    
    $this->_fw->templateAssign('page_title', 'Úvod');
    $this->_fw->templateAssign('active_menu_item', 'uvod');
  }
  
  /*
   * Akcia "index"
   * navrat: nic   
   */   
  public function index_action() {
    //$this->_fw->templateDebug();
    
    $this->_fw->loadModel('products');
    $products = $this->_fw->products->getDiscountProducts();
    
    $this->_fw->templateAssign('products', $products);
    $this->_fw->templateAssign('add_to_cart_action', $this->_fw->makeLinkUrl('cart', 'add_to_cart'));
    $this->_fw->templateAssign('link_to_products', $this->_fw->makeLinkUrl('products', 'detail', array('product' => '_product_id_')));
    
    $this->_fw->templateDisplay('index/index.html');
  }
}

?>