<?php

class uwa_pouzivatelia_collection extends collection_abstract {
  
  /*
   * Hlada riadok v tabulke ktory zodpoveda danemu menu uzivatela a heslu
   * $uzivatel (string) - meno pouzivatela
   * $heslo (string) - heslo
   * navrat: referencia na tento objekt         
   */   
  public function filterPrihlasenie($uzivatel, $heslo) {
    $heslo = sha1($heslo);
    $uzivatel = sha1(substr($uzivatel, 0, 64)); 
    
    $this->_where .= strlen($this->_where) > 0 ? ' AND ' : '';
    $this->_where .= 'SHA1(login) = "' . $uzivatel . '" AND heslo = "' . $heslo . '"';
  
    return $this;
  }
  
  /*
   * Prida filter na hladanie konkretneho uzivatela s konkretnym login v databaze
   * $login (string) - meno pouzivatela
   * navrat: referencia na tento objekt      
   */   
  public function filterUsername($login) {
    $login = sha1($login);
    
    $this->_where .= strlen($this->_where) > 0 ? ' AND ' : '';
    $this->_where .= 'SHA1(login) = "' . $login . '"';
    
    return $this;
  }
  
}

?>