<?php 
if (!function_exists("swift_modifier_replace")) { require_once("./system/swift/swift/plugins/swift_modifier_replace.php"); }
?>

<?php echo $this->parse('overall_header.html'); ?>
<h1>Košík</h1>
<?php if ((isset($this->asgvalues['add_to_cart_message']) ? $this->asgvalues['add_to_cart_message'] : '')) { ?><p class="message message_<?php echo (isset($this->asgvalues['add_to_cart_message']['class']) ? $this->asgvalues['add_to_cart_message']['class'] : ''); ?>"><?php echo (isset($this->asgvalues['add_to_cart_message']['message']) ? $this->asgvalues['add_to_cart_message']['message'] : ''); ?></p><?php } ?>


<div id="cart_content">
  <table>
    <tbody>
      <tr> 
        <th class="product">Názov a popis</th><th class="price">Cena</th><th class="count">Počet</th><th class="options dontprintthis">Voľby</th>
      </tr>
      <?php if (is_array((isset($this->asgvalues['cart']['products']) ? $this->asgvalues['cart']['products'] : '')) && count((isset($this->asgvalues['cart']['products']) ? $this->asgvalues['cart']['products'] : '')) > 0) { $this->asgvalues['swift']['block']['product']['line'] = 0;$this->asgvalues['swift']['block']['product']['size'] = count((isset($this->asgvalues['cart']['products']) ? $this->asgvalues['cart']['products'] : ''));foreach ((isset($this->asgvalues['cart']['products']) ? $this->asgvalues['cart']['products'] : '') as $this->asgvalues['swift']['block']['product']['key'] => $this->asgvalues['product']) { $this->asgvalues['swift']['block']['product']['line']++; ?>
      <tr>
        <td class="product">
          <a href="<?php echo swift_modifier_replace($this, (isset($this->asgvalues['link_to_products']) ? $this->asgvalues['link_to_products'] : ''), "_product_id_", (isset($this->asgvalues['product']['product']['id']) ? $this->asgvalues['product']['product']['id'] : '')); ?>" class="product_link"><?php echo (isset($this->asgvalues['product']['product']['nazov']) ? $this->asgvalues['product']['product']['nazov'] : ''); ?></a>
          <p><small><i><?php echo (isset($this->asgvalues['product']['product']['popis']) ? $this->asgvalues['product']['product']['popis'] : ''); ?></i></small></p>
        </td>
        <td class="price">
          <?php echo (isset($this->asgvalues['product']['price']) ? $this->asgvalues['product']['price'] : ''); ?>&euro;
        </td>
        <td class="count">
          <?php echo (isset($this->asgvalues['product']['count']) ? $this->asgvalues['product']['count'] : ''); ?>ks
        </td>
        <td class="options dontprintthis">
          <input type="button" value="Upraviť" class="button width90pc" onclick="updateProduct('<?php echo swift_modifier_replace($this, (isset($this->asgvalues['link_to_update_count']) ? $this->asgvalues['link_to_update_count'] : ''), "_product_id_", (isset($this->asgvalues['product']['product']['id']) ? $this->asgvalues['product']['product']['id'] : '')); ?>');" />
          <input type="button" value="Vyhodiť" class="button width90pc" onclick="deleteConfirmation('<?php echo swift_modifier_replace($this, (isset($this->asgvalues['link_to_delete']) ? $this->asgvalues['link_to_delete'] : ''), "_product_id_", (isset($this->asgvalues['product']['product']['id']) ? $this->asgvalues['product']['product']['id'] : '')); ?>');" />
        </td>
      </tr>
      <?php }} else { ?>
      <tr>
        <td colspan="4">Nemáte žiadne produkty v košíku.</td>
      </tr>
      <?php } ?>
      <tr>
        <td class="total">
          Spolu:
        </td>
        <td class="sum_total">
          <?php echo (isset($this->asgvalues['cart']['sum']) ? $this->asgvalues['cart']['sum'] : ''); ?>&euro;
        </td>
        <td class="empty">
        </td>
        <td class="empty dontprintthis">
        </td>
      </tr>
    </tbody>
  </table>
  <?php if (count((isset($this->asgvalues['cart']['products']) ? $this->asgvalues['cart']['products'] : ''))) { ?>
  <p class="mtop20px dontprintthis"><?php if ((isset($this->asgvalues['allow_checkout']) ? $this->asgvalues['allow_checkout'] : '') === true) { ?><input type="button" value="Pokračovať k pokladni &gt;&gt;&gt;" onclick="proceedToCheckout('<?php echo (isset($this->asgvalues['link_to_checkout']) ? $this->asgvalues['link_to_checkout'] : ''); ?>');" class="button" /><?php } else { ?>Je nutné sa prihlásiť, aby sa dalo pokračovať v nákupe.<?php } ?></p>
  <?php } ?>
</div>
<script type="text/javascript">
  //<![CDATA[
    
    deleteConfirmation = function(lnk) {
      if (confirm("Naozaj chceš produkt vyhodiť z košíka?")) {
        window.location = lnk;
      }
    }
    
    updateProduct = function(lnk) {
      window.location = lnk;
    }
    
    proceedToCheckout = function(lnk) {
      window.location = lnk;
    }
    
  //]]>
</script>
<?php echo $this->parse('overall_footer.html'); ?>