<?php 
if (!function_exists("swift_modifier_nl2br")) { require_once("./system/swift/swift/plugins/swift_modifier_nl2br.php"); }
if (!function_exists("swift_modifier_replace")) { require_once("./system/swift/swift/plugins/swift_modifier_replace.php"); }
?>

<?php echo $this->parse('admin_header.html'); ?>
<h1>Produkty</h1>

<?php if ((isset($this->asgvalues['message']) ? $this->asgvalues['message'] : '')) { ?>
<p class="message message_<?php echo (isset($this->asgvalues['message']['class']) ? $this->asgvalues['message']['class'] : ''); ?>"><?php echo (isset($this->asgvalues['message']['message']) ? $this->asgvalues['message']['message'] : ''); ?></p>
<?php } ?>

<fieldset><legend>Pridať produkt</legend>
<form action="<?php echo (isset($this->asgvalues['new_product_action']) ? $this->asgvalues['new_product_action'] : ''); ?>" method="post">
  <table class="edit_item_table">
    <tbody>
      <tr>
        <th>Názov</th><th>Popis</th><th>Detail</th>
      </tr>
      <tr>
        <td><input type="text" name="product[nazov]" value="<?php echo (isset($this->asgvalues['swift']['post']['product']['nazov']) ? $this->asgvalues['swift']['post']['product']['nazov'] : ''); ?>" class="text controll_fullwidth" title="Zadajte názov produktu." /></td><td rowspan="5"><textarea name="product[popis]" class="controll_fullsize" title="Zdatajte krátky popis. Tento sa zobrazuje pri vylistovaní produktov a detaile produktu."><?php echo (isset($this->asgvalues['swift']['post']['product']['popis']) ? $this->asgvalues['swift']['post']['product']['popis'] : ''); ?></textarea></td><td rowspan="5"><textarea name="product[detail]" class="controll_fullsize" title="Zadajte detailný popis produktu. Tento sa zobrazí v detaile produktu."><?php echo (isset($this->asgvalues['swift']['post']['product']['detail']) ? $this->asgvalues['swift']['post']['product']['detail'] : ''); ?></textarea></td>
      </tr>
      <tr>
        <th>Cena</th>
      </tr>
      <tr>
        <td><input type="text" name="product[cena]" value="<?php echo (isset($this->asgvalues['swift']['post']['product']['cena']) ? $this->asgvalues['swift']['post']['product']['cena'] : ''); ?>" class="text controll_fullwidth" title="Zadajte cenu produktu, 1 až 9 cifier, celé číslo bez desatinnej čiarky."/></td>
      </tr>
      <tr>
        <th>Zľava</th>
      </tr>
      <tr>
        <td><input type="text" name="product[akcia]" value="<?php echo (isset($this->asgvalues['swift']['post']['product']['akcia']) ? $this->asgvalues['swift']['post']['product']['akcia'] : ''); ?>" class="text controll_fullwidth" title="Zadajte cenu produktu v prípade zľavy, 1 až 9 cifier, celé číslo bez desatinnej čiarky."/></td>
      </tr>
    </tbody>
  </table>
  <p><input type="submit" value="Vytvoriť nový produkt" name="product_submit" class="button" /></p>
</form>
</fieldset>

<fieldset><legend>Existujúce produkty</legend>
  <table class="items_grid">
    <thead>
      <tr>
        <th class="idfield">Id</th><th>Názov</th><th>Popis</th><th>Detail</th><th>Cena</th><th>Zľava</th><th class="options">Voľby</th>
      </tr>
    </thead>
    <tbody>
      <?php if (is_array((isset($this->asgvalues['products']) ? $this->asgvalues['products'] : '')) && count((isset($this->asgvalues['products']) ? $this->asgvalues['products'] : '')) > 0) { $this->asgvalues['swift']['block']['product']['line'] = 0;$this->asgvalues['swift']['block']['product']['size'] = count((isset($this->asgvalues['products']) ? $this->asgvalues['products'] : ''));foreach ((isset($this->asgvalues['products']) ? $this->asgvalues['products'] : '') as $this->asgvalues['swift']['block']['product']['key'] => $this->asgvalues['product']) { $this->asgvalues['swift']['block']['product']['line']++; ?>
      <tr class="<?php $cycler_array = explode(',', 'odd,even');$cycler_items = count($cycler_array);$cycler_counter = isset($this->asgvalues['swift']['cycler']['286957e05c54429cacfe392c62b8b0541653776c']) ? $this->asgvalues['swift']['cycler']['286957e05c54429cacfe392c62b8b0541653776c'] : 0;$cycler_value = $cycler_array[$cycler_counter % $cycler_items];$this->asgvalues['swift']['cycler']['286957e05c54429cacfe392c62b8b0541653776c'] = $cycler_counter + 1;echo $cycler_value; ?>">
        <td class="idfield"><?php echo (isset($this->asgvalues['product']['id']) ? $this->asgvalues['product']['id'] : ''); ?></td><td class="min_200px"><?php echo (isset($this->asgvalues['product']['nazov']) ? $this->asgvalues['product']['nazov'] : ''); ?></td><td class="min_200px"><?php echo swift_modifier_nl2br($this, (isset($this->asgvalues['product']['popis']) ? $this->asgvalues['product']['popis'] : '')); ?></td><td><?php echo swift_modifier_nl2br($this, (isset($this->asgvalues['product']['detail']) ? $this->asgvalues['product']['detail'] : '')); ?></td><td class="center"><?php echo (isset($this->asgvalues['product']['cena']) ? $this->asgvalues['product']['cena'] : ''); ?>&euro;</td><td class="center"><?php echo (isset($this->asgvalues['product']['akcia']) ? $this->asgvalues['product']['akcia'] : ''); ?>&euro;</td>
        <td class="options">
          <input type="button" class="button grid_button" name="edit" value="Upraviť" onclick="window.location='<?php echo swift_modifier_replace($this, (isset($this->asgvalues['link_edit']) ? $this->asgvalues['link_edit'] : ''), "_product_id_", (isset($this->asgvalues['product']['id']) ? $this->asgvalues['product']['id'] : '')); ?>';" />
          <input type="button" class="button grid_button" name="delete" value="Vymazať" onclick="confirm_delete('<?php echo swift_modifier_replace($this, (isset($this->asgvalues['link_delete']) ? $this->asgvalues['link_delete'] : ''), "_product_id_", (isset($this->asgvalues['product']['id']) ? $this->asgvalues['product']['id'] : '')); ?>');" />
        </td>
      </tr>
      <?php }} ?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan="7"><?php echo (isset($this->asgvalues['paginator']) ? $this->asgvalues['paginator'] : ''); ?><br /><?php echo (isset($this->asgvalues['rowinfo']) ? $this->asgvalues['rowinfo'] : ''); ?></td>
      </tr>
    </tfoot>
  </table>
</fieldset>

<script type="text/javascript">
  //<![CDATA[
  
    function confirm_delete(lnk) {
      if (confirm('Naozaj chceš zmazať produkt?')) {
        window.location = lnk;
      }
    }
  
  //]]>
</script>

<?php echo $this->parse('admin_footer.html'); ?>