<?php 
if (!function_exists("swift_function_html_option")) { require_once("./system/swift/swift/plugins/swift_function_html_option.php"); }
if (!function_exists("swift_modifier_replace")) { require_once("./system/swift/swift/plugins/swift_modifier_replace.php"); }
?>

<?php echo $this->parse('admin_header.html'); ?>
<h1>Použivatelia</h1>

<?php if ((isset($this->asgvalues['message']) ? $this->asgvalues['message'] : '')) { ?>
<p class="message message_<?php echo (isset($this->asgvalues['message']['class']) ? $this->asgvalues['message']['class'] : ''); ?>"><?php echo (isset($this->asgvalues['message']['message']) ? $this->asgvalues['message']['message'] : ''); ?></p>
<?php } ?>

<fieldset><legend>Vytvoriť použivateľa</legend>
<form action="<?php echo (isset($this->asgvalues['new_user_action']) ? $this->asgvalues['new_user_action'] : ''); ?>" method="post">
  <table class="edit_item_table">
    <tbody>
      <tr>
        <th class="width20pc">Meno</th><th class="width20pc">Login</th><th class="width20pc">Skupina</th><th class="width20pc">Heslo</th><th class="width20pc">Kontrola hesla</th>
      </tr>
      <tr>
        <td><input type="text" name="user[meno]" value="<?php echo (isset($this->asgvalues['swift']['post']['user']['meno']) ? $this->asgvalues['swift']['post']['user']['meno'] : ''); ?>" class="text controll_fullwidth" title="Zadajte krstné meno a priezvisko." /></td>
        <td><input type="text" name="user[login]" value="<?php echo (isset($this->asgvalues['swift']['post']['user']['login']) ? $this->asgvalues['swift']['post']['user']['login'] : ''); ?>" class="text controll_fullwidth" title="Zadajte prihlasovacie meno." /></td>
        <td><select size="1" class="controll_fullwidth" name="user[skupina]" title="Vyberte skupinu použivateľov."><? echo swift_function_html_option($this, array('values' => (isset($this->asgvalues['groups_options']) ? $this->asgvalues['groups_options'] : ''), 'selected' => (isset($this->asgvalues['swift']['post']['user']['skupina']) ? $this->asgvalues['swift']['post']['user']['skupina'] : ''), 'value_key' => 'tag', 'caption_key' => 'name', )); ?></select></td>
        <td><input type="password" name="user[heslo1]" value="<?php echo (isset($this->asgvalues['swift']['post']['user']['heslo1']) ? $this->asgvalues['swift']['post']['user']['heslo1'] : ''); ?>" class="text controll_fullwidth" title="Zadajte heslo pre použivateľa." /></td>
        <td><input type="password" name="user[heslo2]" value="<?php echo (isset($this->asgvalues['swift']['post']['user']['heslo2']) ? $this->asgvalues['swift']['post']['user']['heslo2'] : ''); ?>" class="text controll_fullwidth" title="Zadajte heslo opäť pre kontrolu." /></td>
      </tr>
    </tbody>
  </table>
  <p><input type="submit" value="Vytvoriť nového použivateľa" name="user_submit" class="button" /></p>
</form>
</fieldset>

<fieldset><legend>Existujúci použivatelia</legend>
  <table class="items_grid">
    <thead>
      <tr>
        <th class="idfield">Id</th><th>Meno</th><th>Login</th><th>Skupina</th><th>IP adresa</th><th>Vytvorený/Zmenený</th><th class="options">Voľby</th>
      </tr>
    </thead>
    <tbody>
      <?php if (is_array((isset($this->asgvalues['users']) ? $this->asgvalues['users'] : '')) && count((isset($this->asgvalues['users']) ? $this->asgvalues['users'] : '')) > 0) { $this->asgvalues['swift']['block']['user']['line'] = 0;$this->asgvalues['swift']['block']['user']['size'] = count((isset($this->asgvalues['users']) ? $this->asgvalues['users'] : ''));foreach ((isset($this->asgvalues['users']) ? $this->asgvalues['users'] : '') as $this->asgvalues['swift']['block']['user']['key'] => $this->asgvalues['user']) { $this->asgvalues['swift']['block']['user']['line']++; ?>
      <tr class="<?php $cycler_array = explode(',', 'odd,even');$cycler_items = count($cycler_array);$cycler_counter = isset($this->asgvalues['swift']['cycler']['812a1585f1be316547e3c9e95cceb46800dbabaf']) ? $this->asgvalues['swift']['cycler']['812a1585f1be316547e3c9e95cceb46800dbabaf'] : 0;$cycler_value = $cycler_array[$cycler_counter % $cycler_items];$this->asgvalues['swift']['cycler']['812a1585f1be316547e3c9e95cceb46800dbabaf'] = $cycler_counter + 1;echo $cycler_value; ?>">
        <td class="idfield"><?php echo (isset($this->asgvalues['user']['id']) ? $this->asgvalues['user']['id'] : ''); ?></td><td><?php echo (isset($this->asgvalues['user']['meno']) ? $this->asgvalues['user']['meno'] : ''); ?></td><td><?php echo (isset($this->asgvalues['user']['login']) ? $this->asgvalues['user']['login'] : ''); ?></td><td><?php echo (isset($this->asgvalues['user']['skupina']) ? $this->asgvalues['user']['skupina'] : ''); ?></td><td class="center"><?php if ((isset($this->asgvalues['user']['ip_adresa']) ? $this->asgvalues['user']['ip_adresa'] : '')) { ?><?php echo (isset($this->asgvalues['user']['ip_adresa']) ? $this->asgvalues['user']['ip_adresa'] : ''); ?><?php } else { ?>Neznáma<?php } ?></td><td class="center min_200px"><small><?php echo (isset($this->asgvalues['user']['vytvoreny']) ? $this->asgvalues['user']['vytvoreny'] : ''); ?> / <?php echo (isset($this->asgvalues['user']['zmeneny']) ? $this->asgvalues['user']['zmeneny'] : ''); ?></small></td>
        <td class="options">
          <input type="button" class="button grid_button" name="edit" value="Upraviť" onclick="window.location='<?php echo swift_modifier_replace($this, (isset($this->asgvalues['link_edit']) ? $this->asgvalues['link_edit'] : ''), "_user_id_", (isset($this->asgvalues['user']['id']) ? $this->asgvalues['user']['id'] : '')); ?>';" />
          <input type="button" class="button grid_button" name="delete" value="Vymazať" onclick="confirm_delete('<?php echo swift_modifier_replace($this, (isset($this->asgvalues['link_delete']) ? $this->asgvalues['link_delete'] : ''), "_user_id_", (isset($this->asgvalues['user']['id']) ? $this->asgvalues['user']['id'] : '')); ?>', '<?php echo (isset($this->asgvalues['user']['login']) ? $this->asgvalues['user']['login'] : ''); ?>');" />
        </td>
      </tr>
      <?php }} ?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan="7"><?php echo (isset($this->asgvalues['paginator']) ? $this->asgvalues['paginator'] : ''); ?><br /><?php echo (isset($this->asgvalues['rowinfo']) ? $this->asgvalues['rowinfo'] : ''); ?></td>
      </tr>
    </tfoot>
  </table>
</fieldset>

<script type="text/javascript">
  //<![CDATA[
  
    function confirm_delete(lnk, username) {
      if (confirm('Naozaj chceš zmazať použivatela ' + username + '? Všetky jeho objednávky sa tiež vymažú.')) {
        window.location = lnk;
      }
    }
  
  //]]>
</script>

<?php echo $this->parse('admin_footer.html'); ?>