<?php 
if (!function_exists("swift_function_html_option")) { require_once("./system/swift/swift/plugins/swift_function_html_option.php"); }
if (!function_exists("swift_modifier_nl2br")) { require_once("./system/swift/swift/plugins/swift_modifier_nl2br.php"); }
if (!function_exists("swift_modifier_replace")) { require_once("./system/swift/swift/plugins/swift_modifier_replace.php"); }
if (!function_exists("swift_modifier_date_format")) { require_once("./system/swift/swift/plugins/swift_modifier_date_format.php"); }
?>

<?php echo $this->parse('overall_header.html'); ?>
<h1>Použivateľ</h1>

<?php if ((isset($this->asgvalues['message']) ? $this->asgvalues['message'] : '')) { ?>
<p class="message message_<?php echo (isset($this->asgvalues['message']['class']) ? $this->asgvalues['message']['class'] : ''); ?>"><?php echo (isset($this->asgvalues['message']['message']) ? $this->asgvalues['message']['message'] : ''); ?></p>
<?php } ?>

<table class="userpanel_table">
  <tbody>
    <tr><td<?php if ((isset($this->asgvalues['allow_datachange']) ? $this->asgvalues['allow_datachange'] : '')) { ?> class="left"<?php } ?>>
      <fieldset class="userpanel_fieldset"><legend>Stav</legend>
        <p>Ste prihlásený ako <?php echo (isset($this->asgvalues['userdata']['meno']) ? $this->asgvalues['userdata']['meno'] : ''); ?>.</p>
        <p class="mtop20px dontprintthis"><input type="button" class="button" value="Odhlásiť sa" onclick="confirmLogOut('<?php echo (isset($this->asgvalues['logout_action']) ? $this->asgvalues['logout_action'] : ''); ?>');" /></p>
      </fieldset>
    </td><?php if ((isset($this->asgvalues['allow_datachange']) ? $this->asgvalues['allow_datachange'] : '')) { ?><td class="right">
      <fieldset class="userpanel_fieldset"><legend>Zmeniť meno alebo heslo</legend>
        <form action="<?php echo (isset($this->asgvalues['change_action']) ? $this->asgvalues['change_action'] : ''); ?>" method="post">
          <table class="userpanel_edit">
            <tbody>
              <tr>
                <td class="label">Meno a priezvisko:</td><td><input type="text" name="meno" value="<?php echo (isset($this->asgvalues['userdata']['meno']) ? $this->asgvalues['userdata']['meno'] : ''); ?>" class="text" title="Napr.: Jožko Mrkvička" /></td>
              </tr>
              <tr>
                <td class="label">Staré heslo:</td><td><input type="password" name="heslostare" value="<?php echo (isset($this->asgvalues['swift']['post']['heslostare']) ? $this->asgvalues['swift']['post']['heslostare'] : ''); ?>" class="text" /></td>
              </tr>
              <tr>
                <td class="label">Heslo:</td><td><input type="password" name="heslo1" value="<?php echo (isset($this->asgvalues['swift']['post']['heslo1']) ? $this->asgvalues['swift']['post']['heslo1'] : ''); ?>" class="text" /></td>
              </tr>
              <tr>
                <td class="label">Heslo (kontrola):</td><td><input type="password" name="heslo2" value="<?php echo (isset($this->asgvalues['swift']['post']['heslo2']) ? $this->asgvalues['swift']['post']['heslo2'] : ''); ?>" class="text" /></td>
              </tr>
            </tbody>
          </table>
          <p>Heslá vyplňte iba ak si chcete heslo zmeniť.</p>
          <p><input type="submit" class="button" value="Upraviť údaje" name="submit_changes" /></p>
        </form>
      </fieldset>
    </td><?php } ?></tr>
  </tbody>
</table>
<h2>Zoznam objednávok:</h2>
<form action="<?php echo (isset($this->asgvalues['filter_action']) ? $this->asgvalues['filter_action'] : ''); ?>" method="post">
<p><label for="filter_select_id">Filtrovať podla stavu:</label> <select name="filter" size="1" id="filter_select_id"><option value="-1">Všetky stavy</option><? echo swift_function_html_option($this, array('values' => (isset($this->asgvalues['status']) ? $this->asgvalues['status'] : ''), 'value_key' => 'id', 'caption_key' => 'text', 'selected' => (isset($this->asgvalues['filter']) ? $this->asgvalues['filter'] : ''), )); ?></select> <input type="submit" name="change_filter" value="Filtrovať" class="button" /></p>
</form>
<table id="user_orders_table">
  <tbody>
    <tr>
      <th>ID</th><th>Množstvo</th><th>Cena</th><th>Dodacie údaje</th><th>Poznámka</th><th>Operácie</th>
    </tr>
    <?php if (is_array((isset($this->asgvalues['orders']) ? $this->asgvalues['orders'] : '')) && count((isset($this->asgvalues['orders']) ? $this->asgvalues['orders'] : '')) > 0) { $this->asgvalues['swift']['block']['order']['line'] = 0;$this->asgvalues['swift']['block']['order']['size'] = count((isset($this->asgvalues['orders']) ? $this->asgvalues['orders'] : ''));foreach ((isset($this->asgvalues['orders']) ? $this->asgvalues['orders'] : '') as $this->asgvalues['swift']['block']['order']['key'] => $this->asgvalues['order']) { $this->asgvalues['swift']['block']['order']['line']++; ?>
    <?php $cycler_array = explode(',', 'row_odd,row_even');$cycler_items = count($cycler_array);$cycler_counter = isset($this->asgvalues['swift']['cycler']['5153988655361d217acf8ffe870298f80da5e22f']) ? $this->asgvalues['swift']['cycler']['5153988655361d217acf8ffe870298f80da5e22f'] : 0;$cycler_value = $cycler_array[$cycler_counter % $cycler_items];$this->asgvalues['swift']['cycler']['5153988655361d217acf8ffe870298f80da5e22f'] = $cycler_counter + 1;$this->asgvalues['current_class'] = $cycler_value; ?>
    <tr class="<?php echo (isset($this->asgvalues['current_class']) ? $this->asgvalues['current_class'] : ''); ?>">
      <td class="col_id"><?php echo (isset($this->asgvalues['order']['id']) ? $this->asgvalues['order']['id'] : ''); ?></td>
      <td class="col_count"><?php echo (isset($this->asgvalues['order']['mnozstvo']) ? $this->asgvalues['order']['mnozstvo'] : ''); ?>ks</td>
      <td class="col_sum"><?php echo (isset($this->asgvalues['order']['cena']) ? $this->asgvalues['order']['cena'] : ''); ?>&euro;</td>
      <td class="col_address"><?php echo (isset($this->asgvalues['order']['meno']) ? $this->asgvalues['order']['meno'] : ''); ?><hr /><?php echo (isset($this->asgvalues['order']['email']) ? $this->asgvalues['order']['email'] : ''); ?><hr /><?php echo swift_modifier_nl2br($this, (isset($this->asgvalues['order']['adresa']) ? $this->asgvalues['order']['adresa'] : '')); ?><hr /><?php echo (isset($this->asgvalues['payments'][(isset($this->asgvalues['order']['platba']) ? $this->asgvalues['order']['platba'] : '')]) ? $this->asgvalues['payments'][(isset($this->asgvalues['order']['platba']) ? $this->asgvalues['order']['platba'] : '')] : ''); ?></td>
      <td class="col_note"><?php echo (isset($this->asgvalues['order']['poznamka']) ? $this->asgvalues['order']['poznamka'] : ''); ?></td>
      <td class="col_options">
        <?php if ((isset($this->asgvalues['allow_edit']) ? $this->asgvalues['allow_edit'] : '')) { ?><?php if ((isset($this->asgvalues['order']['stav']) ? $this->asgvalues['order']['stav'] : '') < 1) { ?><input type="button" class="button width90pc dontprintthis" onclick="window.location='<?php echo swift_modifier_replace($this, (isset($this->asgvalues['link_to_edit']) ? $this->asgvalues['link_to_edit'] : ''), "___order_id___", (isset($this->asgvalues['order']['id']) ? $this->asgvalues['order']['id'] : '')); ?>';" value="Upraviť" /><br /><?php } ?><?php } ?>
        <?php if ((isset($this->asgvalues['allow_delete']) ? $this->asgvalues['allow_delete'] : '')) { ?><?php if ((isset($this->asgvalues['order']['stav']) ? $this->asgvalues['order']['stav'] : '') != 1) { ?><input type="button" class="button width90pc dontprintthis" onclick="confirmDelete('<?php echo swift_modifier_replace($this, (isset($this->asgvalues['link_to_delete']) ? $this->asgvalues['link_to_delete'] : ''), "___order_id___", (isset($this->asgvalues['order']['id']) ? $this->asgvalues['order']['id'] : '')); ?>');" value="Vymazať" /><?php } ?><?php } ?>
      </td>
    </tr>
    <tr class="<?php echo (isset($this->asgvalues['current_class']) ? $this->asgvalues['current_class'] : ''); ?>">
      <td colspan="6" class="col_items"><fieldset><legend>Súpis tovaru</legend><div class="items"><pre><?php echo (isset($this->asgvalues['order']['zoznam_tovaru']) ? $this->asgvalues['order']['zoznam_tovaru'] : ''); ?></pre></div></fieldset></td>
    </tr>
    <tr class="<?php echo (isset($this->asgvalues['current_class']) ? $this->asgvalues['current_class'] : ''); ?>">
      <td colspan="6" class="col_status">Stav: <span class="status_<?php echo (isset($this->asgvalues['order']['stav']) ? $this->asgvalues['order']['stav'] : ''); ?>"><?php echo (isset($this->asgvalues['status'][(isset($this->asgvalues['order']['stav']) ? $this->asgvalues['order']['stav'] : '')]['text']) ? $this->asgvalues['status'][(isset($this->asgvalues['order']['stav']) ? $this->asgvalues['order']['stav'] : '')]['text'] : ''); ?></span> (Vytvorená: <?php echo swift_modifier_date_format($this, (isset($this->asgvalues['order']['vytvorena']) ? $this->asgvalues['order']['vytvorena'] : ''), (isset($this->asgvalues['dateformat']) ? $this->asgvalues['dateformat'] : '')); ?>, upravená: <?php echo swift_modifier_date_format($this, (isset($this->asgvalues['order']['zmenena']) ? $this->asgvalues['order']['zmenena'] : ''), (isset($this->asgvalues['dateformat']) ? $this->asgvalues['dateformat'] : '')); ?>)</td>
    </tr>
    <?php }} else { ?>
    <tr>
      <td colspan="6">Momentálne nemáte žiadne objednávky, ktoré spĺňajú nastavenie filtra.</td>
    </tr>
    <?php } ?>
  </tbody>
  <tfoot>
    <tr>
      <td colspan="6"><?php echo (isset($this->asgvalues['paginator']) ? $this->asgvalues['paginator'] : ''); ?><br /><?php echo (isset($this->asgvalues['rowinfo']) ? $this->asgvalues['rowinfo'] : ''); ?></td>
    </tr>
  </tfoot>
</table>

<script type="text/javascript">
  //<![CDATA[
    confirmLogOut = function(lnk) {
      if (confirm('Naozaj sa chcete odhlásiť?')) {
        window.location = lnk;
      }
    }
    
    confirmDelete = function(lnk) {
      if (confirm('Naozaj chcete vymazať objednávku?')) {
        window.location = lnk;
      }
    }
  //]]>
</script>

<?php echo $this->parse('overall_footer.html'); ?>