<?php

function httpdata($index, $array = 'post') {
  switch ($array) {
    case 'post': $array = $_POST; break;
    case 'get': $array = $_GET; break;
    case 'request': $array = $_REQUEST; break;
    case 'session': $array = $_SESSION; break;
    case 'cookie': $array = $_COOKIE; break;
    default: $array = array();
  }
  
  if (isset($array[$index])) {
    return $array[$index];
  }
  
  return '';
}

session_start();

include_once 'swift/class.swift.php';

$swift = new swift();

$swift->clear_all_compiled();

if (isset($_GET['switchDebug'])) { 
  $_SESSION['debuging'] = !httpdata('debuging', 'session');
  header('location: demo.php');
  die();
}

if (httpdata('debuging', 'session') == true) { $swift->setDebuging(); }

$demo = array(
  'title' => 'Ukážka spracovania šablón - Swift template engine',
  'mesiace' => array(
    1 => 'Január', 'Február', 'Marec', 'Apríl', 'Máj', 'Jún', 'Júl', 'August', 'September', 'Október', 'November', 'December'
  ),
  'krajiny' => array(
    array('nazov' => 'Slovenská republika'),
    array('nazov' => 'Česká republika'),
    array('nazov' => 'Nemecká spolková republika'),
    array('nazov' => 'Rakúsko'),
    array('nazov' => 'Holandsko'),
    array('nazov' => 'Francúzsko'),
    array('nazov' => 'Veľká Británia'),
  ),
  'form_meno_default' => 'Sem zadajte svoje meno ...',
  'povolanie' => array(
    array('caption' => 'Programátor'),
    array('caption' => 'Administrátor'),
    array('caption' => 'Manažár'),
    array('caption' => 'Účtovník'),
    array('caption' => 'Taxikár'),
    array('caption' => 'Novinár'),
    array('caption' => 'Maliar'),
    array('caption' => 'Spevák'),
  ),
  'mod_cas_ts' => 1234567890,
  'mod_cas_dt' => '31.1.2000',
  'lorem' => 'Lorem ipsum dolor sit amet consectetuer at Vivamus justo augue fringilla. Urna dictum Maecenas ac turpis condimentum et et mauris at orci. Eleifend Lorem Donec metus Curabitur interdum tempor dui netus Suspendisse augue. Sagittis urna In interdum id Quisque est Morbi id congue mauris. Quis mollis elit neque orci mauris id urna Sed.',
  'text' => '<strong>Text</strong>',
  'textriadky' => 'Riadok 1,' . "\n" . 'riadok 2,' . "\n" . 'riadok 3.',
  'cislo' => 200500,
);

$swift->assign('demo', $demo);

// Kod pre demo_formular.html
if (isset($_POST['form_submit'])) {
  $swift->assign('form_output_show', true);
  $swift->assign('form_output_meno', httpdata('form_meno') != $demo['form_meno_default'] ? httpdata('form_meno') : '');
  $swift->assign('form_output_datum', httpdata('form_narodenie_day').'.'.httpdata('form_narodenie_month').'.'.httpdata('form_narodenie_year'));
  $swift->assign('form_output_krajina', httpdata('form_stat'));
  $swift->assign('form_output_profesia', httpdata('form_profesia'));
}

// Kod pre demo_tabulka.html


echo $swift->parse('demo.html');

?>