<?php
// Author: Andrej Jursa

/* function=html_anchor
  parameters:
    url = the url for href parameter
    text = text between <a> and </a> tags
    targer = the name of window where the url is open
    class = define the element style class
    style = define the element inline style
*/
function swift_function_html_anchor(&$swift, $params = array()) {
  $url = (isset($params['url']) ? $params['url'] : '');
  $text = (isset($params['text']) ? $params['text'] : 'click');
  $target = (isset($params['target']) ? $params['target'] : '');
  $class = (isset($params['class']) ? $params['class'] : '');
  $style = (isset($params['style']) ? $params['style'] : '');
  
  return '<a href="' . $url . '"' . ($target != '' ? ' target="' . $target . '"' : '') . ($class != '' ? ' class="' . $class . '"' : '') . ($style != '' ? ' style="' . $style . '"' : '') . '>' . $text . '</a>';
}

?>