<?php
// Author: Jan Boldis

function swift_modifier_date_format(&$swift, $string, $parameters='Y.m.d', $use_gmdate = false) {
  if (is_numeric($string)) { $timestamp = intval($string); }
  else { $timestamp = strtotime($string); }
  
  if ($use_gmdate) {
    return gmdate($parameters, $timestamp);
  } else {
    return date($parameters, $timestamp);
  }
}


?>