<?php
// Author: Jan Boldis

function swift_modifier_escape(&$swift, $string, $esc_type = 'html', $charset = 'ISO-8859-1') {
  switch ($esc_type) {
    case 'html': return htmlspecialchars($string, ENT_QUOTES, $charset);
    case 'htmlent': return htmlentities($string, ENT_QUOTES, $charset);
    case 'url': return rawurlencode($string);
    case 'urlpath': return str_replace('%2F','/',rawurlencode($string));
    case 'hex': $return = ''; for ($i=0;$i<strlen($string);$i++) { $return .= '%' . bin2hex($string[$i]); } return $return;
    case 'hexent': $return = ''; for ($i=0;$i<strlen($string);$i++) { $return .= '&#x' . bin2hex($string[$i]) . ';'; } return $return;
    default: return $string;
  }
}


?>