<?php
// Author: Andrej Jursa

function swift_modifier_number_format(&$swift, $string, $decimals = 2, $dec_sep = '.', $thousands_sep = ' ', $price_type=false) {
  
  if (!is_numeric($string)) {
    return $string;
  }
  
  $output =  number_format($string, $decimals, $dec_sep, $thousands_sep);
  
  if ($price_type) {
    list($number, $decimals) = explode($dec_sep, $output);
    if (intval($decimals) == 0) {
      $decimals = '-';
    }
    $output = $number . $dec_sep . $decimals;
  }
  
  return $output;
  
}

?>