-- phpMyAdmin SQL Dump
-- version 3.3.8.1
-- http://www.phpmyadmin.net
--
-- Hostiteľ: localhost:3308
-- Vygenerované:: 01.Máj, 2011 - 12:15
-- Verzia serveru: 5.0.91
-- Verzia PHP: 5.2.17

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Databáza: `uwa_603`
--

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `uwa_objednavky`
--

CREATE TABLE IF NOT EXISTS `uwa_objednavky` (
  `uwa_objednavky_id` int(10) unsigned NOT NULL auto_increment,
  `pouzivatel` int(10) unsigned NOT NULL,
  `zoznam_tovaru` text NOT NULL,
  `cena` int(10) unsigned NOT NULL,
  `mnozstvo` int(10) unsigned NOT NULL,
  `meno` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `adresa` text NOT NULL,
  `platba` int(10) unsigned NOT NULL,
  `poznamka` text NOT NULL,
  `stav` int(11) NOT NULL default '0',
  `zmenena` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `vytvorena` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`uwa_objednavky_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Sťahujem dáta pre tabuľku `uwa_objednavky`
--


-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `uwa_pouzivatelia`
--

CREATE TABLE IF NOT EXISTS `uwa_pouzivatelia` (
  `uwa_pouzivatelia_id` int(10) unsigned NOT NULL auto_increment,
  `login` varchar(64) NOT NULL,
  `heslo` varchar(64) NOT NULL,
  `meno` varchar(255) NOT NULL,
  `skupina` varchar(64) NOT NULL default 'user',
  `ip_adresa` varchar(64) NOT NULL,
  `zmeneny` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `vytvoreny` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`uwa_pouzivatelia_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Sťahujem dáta pre tabuľku `uwa_pouzivatelia`
--

INSERT INTO `uwa_pouzivatelia` (`uwa_pouzivatelia_id`, `login`, `heslo`, `meno`, `skupina`, `ip_adresa`, `zmeneny`, `vytvoreny`) VALUES
(1, 'uwauser', '4c3792a3662aedad929a61bb1ccbf3fac75eba5e', 'UWA Uživateľ', 'user', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 'uwaadmin', 'a06c36ef1d8747db1591666b4fc0b407b56c7df6', 'UWA Admin', 'admin', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 'uwaeditor', '4d13de72f2cb646852bc8a59ed10baeb061b759e', 'UWA Editor', 'editor', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `uwa_produkty`
--

CREATE TABLE IF NOT EXISTS `uwa_produkty` (
  `uwa_produkty_id` int(10) unsigned NOT NULL auto_increment,
  `nazov` varchar(255) NOT NULL,
  `popis` text NOT NULL,
  `detail` text NOT NULL,
  `cena` int(11) NOT NULL,
  `akcia` int(11) NOT NULL,
  PRIMARY KEY  (`uwa_produkty_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21 ;

--
-- Sťahujem dáta pre tabuľku `uwa_produkty`
--

INSERT INTO `uwa_produkty` (`uwa_produkty_id`, `nazov`, `popis`, `detail`, `cena`, `akcia`) VALUES
(1, 'Balenie CD 10ks', 'Balíček zapisovatelných CD nosičov od spoločnosti Old Technology Inc.', 'Balík obsahuje 10 vysoko kvalitných CD so životnosťou maximálne 100000 otáčok!', 10, 0),
(2, 'Balenie DVD 10ks', 'Balíček zapisovatelných DVD nosičov od spoločnosti More Data Inc.', 'Mode Data Inc. Vám prináša skvelý balík DVD diskou, na ktoré je možné zapísať bezpečne až 450MB dát!!', 15, 12),
(3, 'Balenie Blu-ray 10ks', 'Balíček zapisovatelných Blu-ray nosičov od spoločnosti Perfect Discs Inc.', 'Najnovšia technológia na trhu! Jedinečné na zálohovanie desiatok fotoalbumov, dokumentov z wordu ci, ..., to necháme na Vás. Kupujte kým je!', 30, 25),
(4, 'Balenie Blu-ray 20ks', 'Balíček zapisovatelných Blu-ray nosičov od spoločnosti Perfect Discs Inc.', 'Najnovšia technológia na trhu! Jedinečné na zálohovanie desiatok fotoalbumov, dokumentov z wordu ci, ..., to necháme na Vás. Kupujte kým je! Cenovo výhodnejšie balenie!', 55, 0),
(5, 'Balenie 3,5\\" diskiet 20ks', 'Balíček davno vymrelych 3,5\\" diskiet od spoločnosti Prehistoric Computing Inc.', 'Pre tých, ktorý zaspali dobu, je tu stále balík 3.5\\" diskiet. Vhodná na ... na ... na čokolvek, čo nemá viac ako 1,4MB.', 10, 9),
(6, 'USB klúč 2GB', 'USB klúč od spoločnosti Microtechnology Inc. s kapacitou 2GB.', 'Moderný USB klúč s kapacitou 2GB kompatibilný s technológiou USB 3.0.', 20, 0),
(7, 'USB klúč 4GB', 'USB klúč od spoločnosti Microtechnology Inc. s kapacitou 4GB.', 'Moderný USB klúč s kapacitou 4GB kompatibilný s technológiou USB 3.0.', 35, 0),
(8, 'USB klúč 8GB', 'USB klúč od spoločnosti Microtechnology Inc. s kapacitou 8GB.', 'Moderný USB klúč s kapacitou 8GB kompatibilný s technológiou USB 3.0.', 60, 49),
(9, 'USB predlžovací kábel', 'USB predlžovací kábel dĺžky 1 meter.', 'Výborný nepretrhnutelný USB predlžovací kábel kompatibilný s technológiou usb 3.0.', 7, 5),
(10, 'USB skracovací kábel', 'USB skracovací kábel skracujúci USB kábel až o 2 metre.', 'Geniálna technológia, USB 3.0 kompatibilný skracovací kábel, ktorý skráti USB kábel vášho zariadenia až o 2 metre!', 45, 35),
(11, 'Wifi USB kábel', 'Wifi USB kábel dokáže prenášať dáta vzduchom rýchlosťou 2GBit/s.', 'Budúcnosť dorazila až v Vám. Tento jedinečný bezdrôtový USB kábel dokáže prenášať dáta vzduchom až do vzdialenosti 5 metrov.', 25, 0),
(12, 'Rozbočovač USB', 'Skvelý rozbočovač USB 3.0, vďaka, ktorému je možné pripojiť ďalžie 3 zatiadenia USB.', 'V balení je rozbočovač a prídavný adaptér.', 25, 20),
(13, 'AnTI Radeon SD 0001', 'Nová grafická karta od spoločnosti AnTI s až 14timi stream procesormi taktovanými na 1500Mhz a 864MB GDDR10.', 'Podporuje rozlíšenie do 640x480.\r\n\r\nPodporované technológie:\r\nMicro$oft DirectX 5.95\r\nOpenGL 1.123\r\nAnTI Cease-fire\r\n\r\nVýstupy:\r\n2x DVI\r\n1x SDMI', 155, 140),
(14, 'nVIZIA GeWeakness 0088TG', 'Grafická karta s čipom GW0008TG je jednou s najlepších na trhu. S celkovým počtom 5120 stream procesorov a 5GB GDDR6 pamäti ju neprekoná nič.', 'Podporované rozlíšenie:\r\n- do 4096 x 3072\r\n\r\nPodporované technológie:\r\nMicro$oft DirectX 12\r\nOpenGL 7\r\nnVIZIA Cuba\r\nnVIZIA 3D Blindness\r\nnVIZIA ILS\r\n\r\nVýstupy:\r\n4x DVI\r\n2x HDMI\r\n16x VGA\r\n\r\nNapájanie:\r\n- odporúčaný zdroj napájania: jadrová elektráreň (cca 2500GW)', 1100, 1050),
(15, 'Procesor Inter Core i9', 'Vynikajúci 9 jadrový procesor s technológiou hyper-threatening taktovaný na frekvenciu 3000Mhz.', 'Technické parametre:\r\n- 9 fyzických jadier procesora\r\n- 27 logických procesorov\r\n- 80MB L3 cache\r\n- 40MB L2 cache\r\n- 20MB L1 cache\r\n- 10MB L0 cache\r\n- základná frekvencia 3000MHz\r\n- technológia inter turbo-slow až do 200Mhz', 999, 0),
(16, 'Sopple MrakBook Laic 15\\"', 'Jedinečný notebook v svojej triede, Sopple MrakBook Laic 15\\" spĺňa požiadavky aj toho najnáročnejšieho používateľa. Technológia minulosti prichádza v jedinečnom tele vyrobenom z čistého olova.', 'Procesor:\r\nIntel Pentium 2 200MHz\r\n\r\nPamäť:\r\n512MB SD RAM\r\n\r\nObrazovka:\r\n15\\" s rozlíšením 1024x768 16bit\r\n\r\nGrafická karta:\r\nnVidia Riva TNT2\r\n\r\nDisk:\r\n1.5GB 4200 RPM\r\n\r\nOperačný systém:\r\nSopple MrakOS 9\r\n\r\nOstatné:\r\n2xUSB 1.1\r\n1xVGA\r\n1xPCMCIA', 9999, 9500),
(17, 'Micro$oft Windows 93', 'Micro$oft Windows 93 je najnovší operačný systém pre PC.', 'Vynikajúci a pokrokový operačný systém od Micro$oftu.\r\n\r\nMinimálna konfigurácia:\r\n3GHz procesor\r\n4GB DDR3\r\nGrafická karta s aspoň 1.5GB GDDR5\r\n\r\nVyžaduje dotykovú obrazovku!\r\nNa prácu so systémom je nutné vlastniť 3D okuliare.\r\n\r\nInštalácia:\r\nInštaluje sa postupne z troch Blu-ray diskov (50GB).\r\n\r\nVyžadované miesto na disku:\r\n480GB volného miesta pre inštaláciu, ďalších 200GB volného miesta pre svoju činnosť.', 199, 179),
(18, 'LINUX', 'LINUX je perfektný open source operačný systém. U nás ho môžete získať už sa 450euro.', 'Parametre sa menia zo dňa na deň, preto ich neuvádzame.', 500, 450),
(19, 'Pamäťové moduly 2.5GB DDR2', 'Vynikajúce pamäte s kapacitou 2.5GB.', 'Pamäťový modul 2.5GB DDR2 pracuje na frekvencii 2000Mhz.', 99, 89),
(20, 'Myš Micro$oft LaserMouse 15', 'Vynikajúca myš potkanej veľkosti. Ultra presná, hodí sa do každej kancelárie.', 'Perfektný produkt, laserová myš má presnosť na 4 nanometre. Ideálna na používanie na bežnú prácu s kancelárskym balíkom Micro$oft Office 2015, vďaka ktorej už nikdy nekliknete vedľa!\r\n\r\nPripojenie k PC:\r\nUSB 3.0\r\n\r\nPočet tlačidiel: 4 + 4 kolieská na vertikálne, horizontálne a diagonálne posúvanie v dokumente\r\n\r\nPOZOR: Vyžaduje denné kŕmenie syrom!\r\n\r\nPozn.: Balenie obsahuje potravu pre myš na 1 týždeň.', 45, 40);
